(function($){
    $.form_post = function(path, params, method, target){
        methods = method || 'post'; // Set method to post by default if not specified.
        targets = target || '_blank'; // Set target to blank by default if not specified.

        var form = $('<form></form>').attr({id: 'frm_temp', method: methods, action: path, target: targets});
        
        for(var key in params) {
            if(params.hasOwnProperty(key)) {
                var hiddenField = $('<input>').attr({type: 'hidden', name: key, value: params[key]});
                $(form).append(hiddenField);
             }
        }

        $('body').append(form);
        $('#frm_temp').submit();
        $('#frm_temp').remove();
    }
})(jQuery);